# DataExchange
TKSTEPBase
StepShape

# StepShape_QualifiedRepresentationItem Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_QualifiedRepresentationItem.hxx>`

Inheritance diagram for StepShape_QualifiedRepresentationItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_QualifiedRepresentationItem ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_HArray1OfValueQualifier)&qualifiers)
Standard_EXPORT Handle_StepShape_HArray1OfValueQualifier | Qualifiers () const
Standard_EXPORT Standard_Integer | NbQualifiers () const
Standard_EXPORT void | SetQualifiers (const Handle(StepShape_HArray1OfValueQualifier)&qualifiers)
Standard_EXPORT StepShape_ValueQualifier | QualifiersValue (const Standard_Integer num) const
Standard_EXPORT void | SetQualifiersValue (const Standard_Integer num, const StepShape_ValueQualifier &aqualifier)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_HArray1OfValueQualifier | theQualifiers

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_QualifiedRepresentationItem::StepShape_QualifiedRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_QualifiedRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepShape_QualifiedRepresentationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_HArray1OfValueQualifier)& | qualifiers
| ) |

Standard_EXPORT Standard_Integer StepShape_QualifiedRepresentationItem::NbQualifiers | ( |  | ) | const

Standard_EXPORT Handle_StepShape_HArray1OfValueQualifier StepShape_QualifiedRepresentationItem::Qualifiers | ( |  | ) | const

Standard_EXPORT StepShape_ValueQualifier StepShape_QualifiedRepresentationItem::QualifiersValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepShape_QualifiedRepresentationItem::SetQualifiers | ( | const Handle(StepShape_HArray1OfValueQualifier)& | qualifiers | ) |

Standard_EXPORT void StepShape_QualifiedRepresentationItem::SetQualifiersValue | ( | const Standard_Integer | num,
|  | const StepShape_ValueQualifier & | aqualifier
| ) |

## Field Documentation

Handle_StepShape_HArray1OfValueQualifier StepShape_QualifiedRepresentationItem::theQualifiers`[private]`

The documentation for this class was generated from the following file:

- StepShape_QualifiedRepresentationItem.hxx